> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcamp.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post Comment

> Post a new comment in task.



## OpenAPI

````yaml POST /task/{taskId}/comments
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.teamcamp.app/v1.0/
security:
  - bearerAuth: []
paths:
  /task/{taskId}/comments:
    post:
      description: Post a new comment in task.
      requestBody:
        description: Project to add to the Workspace
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewComment'
              required:
                - content
        required: true
      responses:
        '200':
          description: plant response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getComment'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewComment:
      type: object
      properties:
        content:
          description: Comment's content
          type: string
    getComment:
      type: object
      properties:
        commentId:
          description: The unique identifier of the comment in the task.
          type: string
        content:
          description: The unique identifier of the user who posted the message.
          type: string
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: apiKey
      in: header

````